Subject: bug#34149: guix refresh -u is broken

From: Efraim Flashner <[email-masked]>
Date: Mon, 21 Jan 2019 12:02:40 +0200

On Sun, Jan 20, 2019 at 11:27:18PM +0100, Andreas Enge wrote:
> Hello!
> 
> Unless I mis-remember how the command works, there seems to be a problem
> with "guix refresh -u":
> 
> $ ./pre-inst-env guix refresh -u python-cysignals
> Backtrace:
>           14 (apply-smob/1 #<catch-closure 17b4b80>)
> In ice-9/boot-9.scm:
>     705:2 13 (call-with-prompt _ _ #<procedure default-prompt-handle…>)
> In ice-9/eval.scm:
>     619:8 12 (_ #(#(#<directory (guile-user) 186d140>)))
> In guix/ui.scm:
>   1639:12 11 (run-guix-command _ . _)
> In ice-9/boot-9.scm:
>     829:9 10 (catch _ _ #<procedure 7fd0d71109b0 at guix/ui.scm:617…> …)
>     829:9  9 (catch _ _ #<procedure 7fd0d71109c8 at guix/ui.scm:735…> …)
> In guix/scripts/refresh.scm:
>     513:8  8 (_)
> In guix/store.scm:
>   1693:24  7 (run-with-store _ _ #:guile-for-build _ #:system _ # _)
> In guix/scripts/refresh.scm:
>    531:16  6 (_ _)
> In srfi/srfi-1.scm:
>     640:9  5 (for-each #<procedure 2269ba0 at guix/scripts/refresh.…> …)
> In guix/scripts/refresh.scm:
>    301:20  4 (update-package #<build-daemon 256.99 1d40e60> #<packa…> …)
> In guix/upstream.scm:
>    374:22  3 (package-update #<build-daemon 256.99 1d40e60> _ _ # _)
>    302:17  2 (download-tarball #<build-daemon 256.99 1d40e60> #f #f # …)
> In guix/download.scm:
>    568:55  1 (download-to-store #<build-daemon 256.99 1d40e60> #f _ # …)
> In unknown file:
>            0 (basename #f #<undefined>)
> 
> ERROR: In procedure basename:
> In procedure scm_to_utf8_stringn: Wrong type argument in position 1 (expecting string): #f
> 

It is currently working for me. I see in the backtrace it goes through
guix/scripts/ , try removing guix/scripts/*go (and guix/download.go,
guix/upstream.go) and see if it works now.

I'm currently on commit 26e4203be1044f6aa2004289864f5e1a421d7c88

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted